Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 97574 - new ebuild for lilypond 2.7
Summary: new ebuild for lilypond 2.7
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Aron Griffis (RETIRED)
URL:
Whiteboard:
Keywords: EBUILD
: 81463 84233 88765 104961 108160 116826 124898 (view as bug list)
Depends on: 110743
Blocks: 39838 94147
  Show dependency tree
 
Reported: 2005-06-30 23:12 UTC by Joe Neeman
Modified: 2006-04-21 05:16 UTC (History)
18 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
ebuild for lilypond 2.6.0 (lilypond-2.6.0.ebuild,2.38 KB, text/plain)
2005-06-30 23:13 UTC, Joe Neeman
Details
marked ~x86 (lilypond-2.6.0.ebuild,2.39 KB, text/plain)
2005-07-01 15:12 UTC, Joe Neeman
Details
ghostscript dependency fix (lilypond-2.6.0.ebuild,2.38 KB, text/plain)
2005-07-11 05:31 UTC, Andre Hinrichs
Details
Lilypond 2.7.0 ebuild (lilypond-2.7.0.ebuild,2.49 KB, text/plain)
2005-07-11 16:25 UTC, Daniel J.
Details
Updated 2.7.0 ebuild with copyright info (lilypond-2.7.0.ebuild,2.61 KB, patch)
2005-08-27 18:50 UTC, Geoff
Details | Diff
ebuild for lilypond-2.7.9, with slot info (lilypond-2.7.9.ebuild,2.66 KB, text/plain)
2005-09-11 16:57 UTC, Geoff
Details
Ebuild for lilypond 2.6.4 works on x86 (lilypond-2.6.4.ebuild,3.17 KB, text/plain)
2005-10-28 12:38 UTC, Richard Ash
Details
2.7.9 ebuild with fixes and updates from 2.6.4 above (lilypond-2.7.9.ebuild,2.68 KB, text/plain)
2005-10-28 13:04 UTC, Richard Ash
Details
Another attempt at slotting 2.6.4 (lilypond-2.6.4.ebuild,3.32 KB, text/plain)
2005-10-31 16:15 UTC, Richard Ash
Details
2.7.x series ebuild works (lilypond-2.7.24.ebuild,2.65 KB, text/plain)
2005-12-21 15:11 UTC, Richard Ash
Details
Ebuild for > 2.7.31 (lilypond-2.7.34.ebuild.patch,1.18 KB, patch)
2006-02-16 12:58 UTC, Daniel J.
Details | Diff
patch to allow building of Mutopia examples in the docs (lilypond-2.7.36-mutopia.patch,777 bytes, patch)
2006-03-02 17:07 UTC, Daniel J.
Details | Diff
Full ebuild for version 2.7.36 (lilypond-2.7.36.ebuild,777 bytes, text/plain)
2006-03-02 17:10 UTC, Daniel J.
Details
Full ebuild for version 2.7.36 (lilypond-2.7.36.ebuild,2.43 KB, text/plain)
2006-03-02 17:24 UTC, Daniel J.
Details
complete ebuild for 2.7.36 (typo-fixed) (lilypond-2.7.36.ebuild,2.43 KB, application/octet-stream)
2006-03-10 13:37 UTC, Sebastian T. Hafner
Details
Patch against the 2.7.36 ebuild to eliminate dependency on slocate (lilypond-no-slocate.patch,652 bytes, patch)
2006-03-21 11:31 UTC, Daniel J.
Details | Diff
Ebuild for lilypond 2.8.0 (lilypond-2.8.0.ebuild,2.42 KB, text/plain)
2006-03-24 16:27 UTC, Geoff
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Joe Neeman 2005-06-30 23:12:41 UTC
The latest and greatest lilypond version :)

This ebuild removes the documentation build since it always seems to break. Also
removed explicit vim and emacs syntax stuff since it has been built
automatically for a while now.

Reproducible: Always
Steps to Reproduce:
1.
2.
3.
Comment 1 Joe Neeman 2005-06-30 23:13:39 UTC
Created attachment 62378 [details]
ebuild for lilypond 2.6.0
Comment 2 Jakub Moc (RETIRED) gentoo-dev 2005-06-30 23:26:37 UTC
*** Bug 84233 has been marked as a duplicate of this bug. ***
Comment 3 Jakub Moc (RETIRED) gentoo-dev 2005-06-30 23:27:10 UTC
*** Bug 88765 has been marked as a duplicate of this bug. ***
Comment 4 Jakub Moc (RETIRED) gentoo-dev 2005-06-30 23:30:02 UTC
*** Bug 81463 has been marked as a duplicate of this bug. ***
Comment 5 Joe Neeman 2005-07-01 15:10:06 UTC
I've tested the build on x86 now and it works.

I'd also like to note that this requires a version bump of app-text/mftrace to
1.1.11 and a version bump of media-gfx/fontforge to 20050624
Comment 6 Joe Neeman 2005-07-01 15:12:01 UTC
Created attachment 62435 [details]
marked ~x86
Comment 7 Andre Hinrichs 2005-07-11 05:31:43 UTC
Created attachment 63125 [details]
ghostscript dependency fix

last ebuild of lilypond depends on ghostscript-gnu while some other packages
needed by lilypond depend on ghostscript. ghostscript and ghostscript-gnu
block each other. I changed dependency of lilypond to virtual/ghostscript
which fixes this problem on my system and lilypond compiled just fine with it.
Comment 8 Daniel J. 2005-07-11 16:05:20 UTC
A few comments:
1. Lilypond greater than about 2.5.4 requires Ghostscript 8... so you'll have to
use ghostscript-afpl until we get ebuilds for the new ESP Ghostscript 8.15
release candidates.
2. Building docs will require using the CVS version of Guile because of a
garbage collection memory leak which Han-Wen has patched.  I hand-rolled a CVS
build but it's ugly and I'm too proud to post it here. ;-)  If and when we see a
1.6.9 or 1.7.3 release of Guile, that should take care of the problem.
3. We need to DEPEND on mftrace-1.1.11 or greater
4. doc needs imagemagick and netpbm, just like in the old days.
5. Fontforge only needs write access to /root/.PfaEdit, so we can refine our
hole-in-the-sandbox.
6. The only file from buildscripts that we need anymore is lilypond-words. The
others no longer exist and will cause "no such file" warnings when building.
7. The old way of installing the documentation will hang forever due to a
problem with circular symlink references. Thankfully, during the compile process
all HTML docs are packaged up in a tarball which we can untar to the appropriate
directory.

As soon as my build finishes and I've made sure that documentation install is
handled right, I'll post my ebuild here.  But I doubt we'll see this official
for a long time since many of the dependencies seem to be quite a distance from
being pushed live.  For instance, there have been outstanding requests for
ghostscript-8.15_rc3 for a couple months now, with little indication that anyone
is doing anything.

The ebuild I'll be posting is for 2.7.0, but it'll work for 2.6.0 just as well
with just a name change.
Comment 9 Daniel J. 2005-07-11 16:25:30 UTC
Created attachment 63183 [details]
Lilypond 2.7.0 ebuild

This ebuild depends on some stuff that is not in the standard portage tree:
- guile-1.7.2 (taken from CVS; need version from 2005-06-10 or later)
- mftrace-1.1.11
It also depends on either ghostscript-gnu or ghostscript-afpl (until ESP
Ghostscript 8.15 gets an ebuild)
This ebuild builds and installs documentation correctly.
Comment 10 Daniel J. 2005-07-11 16:39:40 UTC
One more note: for some reason, the midi2ly resulting from my ebuild has the
wrong path to the lilypond share directory. The following fixes it.

sed -i -e "s:libdir = '/usr/lib/lilypond/:libdir = '/usr/share/lilypond/:g"
/usr/bin/midi2ly

I think I need to pass lilypond_datadir and local_lilypond_datadir to the emake
in src_compile (using the same values present in src_install).

Lilypond 2.6.0 is known to have a tempfile bug which causes lilypond-book to
fail.  I believe this is fixed in 2.7.0 and will be fixed in 2.6.1.
Comment 11 Geoff 2005-08-21 07:24:24 UTC
I've posted a discussion on taking over handling of Lilypond on the forums. 
http://forums.gentoo.org/viewtopic-p-2665625.html
Comment 12 Aron Griffis (RETIRED) gentoo-dev 2005-08-21 08:46:51 UTC
I haven't left, I just haven't been able to keep up with lilypond, especially
since I haven't been using it lately.

I'll move this to maintainer-needed and hopefully somebody will step forward.
Comment 13 Tony Vroon gentoo-dev 2005-08-27 10:47:32 UTC
(In reply to comment #9)
> Created an attachment (id=63183) [edit]
> Lilypond 2.7.0 ebuild

This ebuild can not be accepted until you add the proper copyright headers to
it. Please look at ebuild.skel for an example.
Comment 14 Geoff 2005-08-27 18:50:58 UTC
Created attachment 67042 [details, diff]
Updated 2.7.0 ebuild with copyright info

This isn't, technically, the right bug for this ebuild (this bug relates to
2.6, and the ebuild is 2.7), but I've added the copyright headers to it anyway.
Comment 15 Jakub Moc (RETIRED) gentoo-dev 2005-09-05 15:46:12 UTC
*** Bug 104961 has been marked as a duplicate of this bug. ***
Comment 16 Geoff 2005-09-11 16:57:16 UTC
Created attachment 68210 [details]
ebuild for lilypond-2.7.9, with slot info
Comment 17 Jakub Moc (RETIRED) gentoo-dev 2005-10-05 02:38:45 UTC
*** Bug 108160 has been marked as a duplicate of this bug. ***
Comment 18 Jakub Moc (RETIRED) gentoo-dev 2005-10-05 02:40:42 UTC
Re-assign a mis-assigned bug.
Comment 19 Hal Engel 2005-10-19 15:20:44 UTC
When I try the 2.7.9 ebuild I get the following errors:

>>> Source unpacked.
Usage: sed [OPTION]... {script-only-if-no-other-script} [input-file]...

  -n, --quiet, --silent
                 suppress automatic printing of pattern space
  -e script, --expression=script
                 add the script to the commands to be executed
  -f script-file, --file=script-file
                 add the contents of script-file to the commands to be executed
  -i[SUFFIX], --in-place[=SUFFIX]
                 edit files in place (makes backup if extension supplied)
  -l N, --line-length=N
                 specify the desired line-wrap length for the `l' command
  --posix
                 disable all GNU extensions.
  -r, --regexp-extended
                 use extended regular expressions in the script.
  -s, --separate
                 consider files as separate rather than as a single continuous
                 long stream.
  -u, --unbuffered
                 load minimal amounts of data from the input files and flush
                 the output buffers more often
      --help     display this help and exit
      --version  output version information and exit

If no -e, --expression, -f, or --file option is given, then the first
non-option argument is taken as the sed script to interpret.  All
remaining arguments are names of input files; if no input files are
specified, then the standard input is read.

E-mail bug reports to: bonzini@gnu.org .
Be sure to include the word ``sed'' somewhere in the ``Subject:'' field.
/usr/local/portage/media-sound/lilypond/lilypond-2.7.9.ebuild: line 47:
s/:[^:]*ccache[^:]*:/:/;s/^://;s/:$//;: No such file or directory
/usr/local/portage/media-sound/lilypond/lilypond-2.7.9.ebuild: line 49:
directory: No such file or directory
/usr/lib/portage/bin/ebuild.sh: line 402: find: No such file or directory
./configure --prefix=/usr --host=x86_64-pc-linux-gnu --mandir=/usr/share/man
--infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc
--localstatedir=/var/lib --libdir=/usr/lib64 --build=x86_64-pc-linux-gnu
--build=x86_64-pc-linux-gnu
./configure: line 81: sed: No such file or directory
./configure: line 90: chmod: No such file or directory
./configure: line 96: rm: No such file or directory
./configure: line 164: sed: No such file or directory
./configure: line 173: sed: No such file or directory
: error: cannot create .lineno; rerun with a POSIX shell

!!! ERROR: media-sound/lilypond-2.7.9 failed.
!!! Function econf, Line 485, Exitcode 0
!!! econf failed
!!! If you need support, post the topmost build error, NOT this status message.
Comment 20 Richard Ash 2005-10-27 14:41:16 UTC
Not having lilypond >=2.6.3 in portage stops latest denemo being usable, hence
blocks bug #39838.
Comment 21 Richard Ash 2005-10-28 12:38:54 UTC
Created attachment 71651 [details]
Ebuild for lilypond 2.6.4 works on x86

Note this needs mftrace 1.1.16 which isn't in portage, otherwise the font
creation fails. Ebuild is on this bug:
http://bugs.gentoo.org/show_bug.cgi?id=110743
Comment 22 Richard Ash 2005-10-28 12:47:27 UTC
Meaning mftrace >=1.1.17 of course.
Done some of the same fixes to the 2.7.9 ebuild and testing it now. Will attach
later if it works OK.
Comment 23 Richard Ash 2005-10-28 13:04:20 UTC
Created attachment 71652 [details]
2.7.9 ebuild with fixes and updates from 2.6.4 above
Comment 24 Daniel J. 2005-10-29 14:11:52 UTC
Notwithstanding the fixes made in Lilypond to get around the Guile GC issues, 
I've found that building the documentation often fails on a machine with 256MB 
or less of memory. (I've recently upgraded my machine and found that the 
problem went away.) 
 
With each Lilypond release, the developers also create an RPM of the docs.  
Such RPM's live here (scroll down to the bottom of the listing): 
http://lilypond.org/web/ftp/binaries/Fedora-4/ 
Perhaps it would be possible to use the pre-built docs? 
 
Comment 25 Richard Ash 2005-10-30 09:42:38 UTC
Slotting in those two ebuilds doens't work - both install /usr/bin/lilypond,
clobering each other. The rest seems to be fine though. Anyone know how to make
slots work properly? Do we need to use one of the configure options to append
something to the binary names, and if so how do we define which package gets the
/usr/bin/lilypond symlink pointed at it?
Comment 26 Geoff 2005-10-31 09:14:28 UTC
Yeah, I was trying to get the slotting to work, but unfortunately school came up
and took precedence.  Plus, I don't have a good enough understanding of the
ebuild system to have the binaries install somewhere else (like /var or /opt or
something) and then build a symlink. :-/

Thanks for the renewed interest in this package, though.
Comment 27 Richard Ash 2005-10-31 16:15:08 UTC
Created attachment 71830 [details]
Another attempt at slotting 2.6.4

This is slightly more slotted, but still not right. I can get as far as
/usr/bin/lilypond-2.6, and then create /usr/bin/lilypond as a symlink to the
most recent version with alternatives_auto_makesym() from alternatives.eclass.
The /usr/share/lilypond stuff is split according to slot with arguments to
einstall, the problem is the stuff going into /usr/share/info and
/usr/share/man which I can't see how to slot.

There are also several other executeables and scripts in /usr/bin that aren't
getting versioned correctly by configure. Anyone suggest where to read up on
making slotted ebuilds work?
Comment 28 Richard Ash 2005-12-21 15:11:25 UTC
Created attachment 75301 [details]
2.7.x series ebuild works

This one actually works properly. Should also work with 2.6.5 but not yet tested it. Finally worked out what was going on with data directories - you configure with --datadir=/usr/share and it looks in /usr/share/lilypond/2.7.24 - go figure...
Comment 29 Jakub Moc (RETIRED) gentoo-dev 2005-12-26 16:56:07 UTC
*** Bug 116826 has been marked as a duplicate of this bug. ***
Comment 30 Kurt L Vanderwater 2006-01-19 19:43:54 UTC
(In reply to comment #28)
> Created an attachment (id=75301) [edit]
> 2.7.x series ebuild works
> 
> This one actually works properly. Should also work with 2.6.5 but not yet
> tested it. Finally worked out what was going on with data directories - you
> configure with --datadir=/usr/share and it looks in /usr/share/lilypond/2.7.24
> - go figure...
> 

not so much for me...
I have tried:
FEATURES=""
FEATURES="sandbox"
FEATURES="userpriv"
FEATURES="userpriv usersandbox"
FEATURES="sandbox userpriv usersandbox"
In all cases... I got the following error during the "install" phase of the ebuild.

Aparently my magic incantations are off a bit <grin>

make[1]: Entering directory `/var/tmp/portage/lilypond-2.7.27/work/lilypond-2.7.27/buildscripts'
/usr/bin/python /var/tmp/portage/lilypond-2.7.27/work/lilypond-2.7.27/stepmake/bin/install.py -c -d
/usr/bin/python /var/tmp/portage/lilypond-2.7.27/work/lilypond-2.7.27/stepmake/bin/install.py -c -m 644  /
true
make[1]: Leaving directory `/var/tmp/portage/lilypond-2.7.27/work/lilypond-2.7.27/buildscripts'
make[1]: Entering directory `/var/tmp/portage/lilypond-2.7.27/work/lilypond-2.7.27/python'
/usr/bin/python /var/tmp/portage/lilypond-2.7.27/work/lilypond-2.7.27/stepmake/bin/install.py -c -d /usr/lib64/lilypond/2.7.27/python
ACCESS DENIED  mkdir:     /usr/lib64/lilypond
Traceback (most recent call last):
  File "/var/tmp/portage/lilypond-2.7.27/work/lilypond-2.7.27/stepmake/bin/install.py", line 70, in ?
    os.makedirs (f, mode=mode)
  File "/usr/lib64/python2.4/os.py", line 156, in makedirs
    makedirs(head, mode)
  File "/usr/lib64/python2.4/os.py", line 156, in makedirs
    makedirs(head, mode)
  File "/usr/lib64/python2.4/os.py", line 159, in makedirs
    mkdir(name, mode)
OSError: [Errno 13] Permission denied: '/usr/lib64/lilypond'
make[1]: [local-install-outfiles] Error 1 (ignored)
/usr/bin/python /var/tmp/portage/lilypond-2.7.27/work/lilypond-2.7.27/stepmake/bin/install.py -c -c -m 644 ./out/midi.so /usr/lib64/lilypond/2.7.27/python/
ACCESS DENIED  open_wr:   /usr/lib64/lilypond/2.7.27/python
Traceback (most recent call last):
  File "/var/tmp/portage/lilypond-2.7.27/work/lilypond-2.7.27/stepmake/bin/install.py", line 76, in ?
    shutil.copy2 (f, dest)
  File "/usr/lib64/python2.4/shutil.py", line 92, in copy2
    copyfile(src, dst)
  File "/usr/lib64/python2.4/shutil.py", line 48, in copyfile
    fdst = open(dst, 'wb')
IOError: [Errno 13] Permission denied: '/usr/lib64/lilypond/2.7.27/python/'
make[1]: *** [local-install-outfiles] Error 1
make[1]: Leaving directory `/var/tmp/portage/lilypond-2.7.27/work/lilypond-2.7.27/python'
make: *** [install] Error 2

!!! ERROR: media-sound/lilypond-2.7.27 failed.
!!! Function einstall, Line 534, Exitcode 2
!!! einstall failed

As additional possible info, I include the output from emerge info.

musicmaker lilypond # emerge info
Portage 2.0.53 (default-linux/amd64/2005.1, gcc-3.4.4, glibc-2.3.5-r2, 2.6.15-gentoo x86_64)
=================================================================
System uname: 2.6.15-gentoo x86_64 AMD Athlon(tm) 64 X2 Dual Core Processor 3800+
Gentoo Base System version 1.6.14
dev-lang/python:     2.3.5-r2, 2.4.2
sys-apps/sandbox:    1.2.12
sys-devel/autoconf:  2.13, 2.59-r6
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r1
sys-devel/binutils:  2.16.1
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="amd64"
AUTOCLEAN="yes"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=athlon64 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.4/env /usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3/share/config /usr/lib/X11/xkb /usr/share/config /usr/share/texmf/dvipdfm/config/ /usr/share/texmf/dvips/config/ /usr/share/texmf/tex/generic/config/ /usr/share/texmf/tex/platex/config/ /usr/share/texmf/xdvi/ /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-march=athlon64 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks sandbox sfperms strict userpriv usersandbox"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="amd64 7zip X aac aim alsa arts artswrappersuid audiofile avi berkdb bitmap-fonts bonobo bzip2 cdda cddb cdr cdrom crypt cups curl doc dssi dvd dvdr eds emboss encode esd exif expat fam ffmpeg firefox flac fltk fluidsynth fmod foomaticdb fortran freetds gd gif gimp gimpprint glut gpm gstreamer gtk gtk2 gtkhtml guile icq idn imagemagick imlib ipv6 jack jack-tmpfs java jpeg jpeg2k kde ladcca ladspa lcd lcms libwww lzw lzw-tiff mad mng mp3 mpeg multiprocess musicbrainz mysql mythtv ncurses nls nvidia ogg oggvorbis openexr opengl oscar pam pcre pdflib perl pic png python qt quicktime rdesktop readline real reiserfs rtc samba sametime scanner sdl shorten speex spell ssl svg tagwriting tcpd tetex tiff timidity transcode truetype truetype-fonts type1-fonts udev usb userlocales vorbis xine xml xml2 xmms xpm xscreensaver xv xvmc yahoo zlib userland_GNU kernel_linux elibc_glibc"
Unset:  ASFLAGS, CTARGET, LANG, LC_ALL, LDFLAGS, LINGUAS, PORTDIR_OVERLAY



Thanks

Any help would be appreciated...
The sole purpose of this machine is to do music stuff.... 
It ain't doing it right now... so any "experiments" that would help solve the problem, I would be glad to perform.

Kurt
Comment 31 will 2006-01-19 20:10:07 UTC
try FEATURES="-sandbox"

I think sandbox is enabled by default.
Comment 32 Kurt L Vanderwater 2006-01-20 06:30:17 UTC
(In reply to comment #31)
> try FEATURES="-sandbox"
> 
> I think sandbox is enabled by default.
> 

OK... that made it work....
But isn't disabling the sandbox a bad thing???

Is there someway to modify the ebuild so that it doesn't try to violate the sandbox?

Thanks
Comment 33 Ramana Kumar 2006-01-30 15:54:49 UTC
Richard's ebuild (attachment 75301 [details]) worked fine on my amd64 computer with no special configuration. could it be added to the tree and updated to the latest lilypond version (minor revision)?
Comment 34 Ramana Kumar 2006-01-30 18:43:52 UTC
(In reply to comment #33)
> Richard's ebuild (attachment 75301 [details] [edit]) worked fine on my amd64 computer with no
> special configuration. could it be added to the tree and updated to the latest
> lilypond version (minor revision)?
> 
renaming to lilypond-2.7.30.ebuild worked: 2.7.30 installed fine.
Comment 35 Paulo da Silva 2006-02-06 09:52:06 UTC
No lilypond ebuild works for me. I had installed a previous
(can't remeber which) that did not work. So, i tried newer
versions. Now I cannot emerge any version available. The last
try, that for 2.7.x causes the following output.
Any help?

.................
Processing `/var/tmp/portage/lilypond-2.7.24/work/lilypond-2.7.24/input/test/out-www/snippet-map.ly'
Parsing...
Processing `/var/tmp/portage/lilypond-2.7.24/work/lilypond-2.7.24/input/test/out-www/lily-1563207118.ly'
Parsing...
Renaming input to: `+.ly'
Interpreting music... [2]
Preprocessing graphical objects...
Calculating line breaks... [2]
Writing header field `texidoc' to `lily-1563207118.texidoc'...
Writing header field `texidoc' to `lily-1563207118.texidoc'...
Writing lily-1563207118-systems.tex...
Writing lily-1563207118-systems.texi...
Layout output to `lily-1563207118-1.eps'...
Layout output to `lily-1563207118.eps'...
Converting to PNG.../var/tmp/portage/lilypond-2.7.24/work/lilypond-2.7.24/out/share/lilypond/2.7.24/scm/ps-to-png.scm:108:3: In procedure rename-file in expression (rename-file file old):
/var/tmp/portage/lilypond-2.7.24/work/lilypond-2.7.24/out/share/lilypond/2.7.24/scm/ps-to-png.scm:108:3: No such file or directory
lilypond-book.py: warning: `lilypond' failed (status 2) (ignored)

lilypond-book.py: error: Process /var/tmp/portage/lilypond-2.7.24/work/lilypond-2.7.24/lily/out/lilypond --backend=eps --formats=ps,png --header=texidoc -I /var/tmp/portage/lilypond-2.7.24/work/lilypond-2.7.24/input/test -dinternal-type-checking -danti-alias-factor=2 -dgs-font-load -I  '/var/tmp/portage/lilypond-2.7.24/work/lilypond-2.7.24/input/test'  -I  '/var/tmp/portage/lilypond-2.7.24/work/lilypond-2.7.24/input/test'  -I  '/var/tmp/portage/lilypond-2.7.24/work/lilypond-2.7.24/input/test/out-www'  -I  '/var/tmp/portage/lilypond-2.7.24/work/lilypond-2.7.24/input'  -I  '/var/tmp/portage/lilypond-2.7.24/work/lilypond-2.7.24/input/regression'  -I  '/var/tmp/portage/lilypond-2.7.24/work/lilypond-2.7.24/input/test'  -I  '/var/tmp/portage/lilypond-2.7.24/work/lilypond-2.7.24/input/tutorial'  -I  '/var/tmp/portage/lilypond-2.7.24/work/lilypond-2.7.24/mf/out'  -I  '/var/tmp/portage/lilypond-2.7.24/work/lilypond-2.7.24/mf/out' snippet-map.ly lily-1563207118 lily-958258976 lily-2083556259 lily-86632044 lily-117452165 lily-1716442047 lily-1619305460 lily-868884573 lily-815678250 lily-1829375645 lily-1854185821 lily-1346477414 lily-653968934 lily-1258847882 lily-406268608 lily-949282084 lily-1493859482 lily-671873400 lily-1048420762 lily-1172526311 lily-2122655435 lily-1820952482 lily-1396548022 lily-254273985 lily-1171495244 lily-443108049 lily-1019422860 lily-1035476625 lily-1849054820 lily-881289079 lily-1831563529 lily-546915777 lily-1973475713 lily-344589519 lily-1749950541 lily-1679427266 lily-1060349588 lily-553211413 lily-476188919 lily-296479222 lily-444718703 lily-987432688 lily-274081501 lily-199971838 lily-1855008033 lily-1576890297 lily-505287117 lily-346114291 lily-302530777 lily-978397998 lily-1765285549 lily-823696877 lily-518749076 lily-1771902508 lily-1833831990 lily-1674416829 lily-343764970 lily-1055029085 lily-940499120 lily-1225327039 lily-339899610 lily-1582817935 lily-456404653 lily-1709207246 lily-1611292188 lily-153969342 lily-2059992443 lily-728542717 lily-2068773734 lily-1105001930 exited unsuccessfully.
Removing `collated-files.texi'
Traceback (most recent call last):
  File "../../scripts/lilypond-book.py", line 1692, in ?
    main ()
  File "../../scripts/lilypond-book.py", line 1675, in main
    ly.exit (1)
  File "/var/tmp/portage/lilypond-2.7.24/work/lilypond-2.7.24/out/share/lilypond/2.7.24/python/lilylib.py", line 86, in exit
    raise _ ('Exiting (%d)...') % i
Exiting (1)...
make[3]: *** [out-www/collated-files.texi] Error 1
make[3]: Leaving directory `/var/tmp/portage/lilypond-2.7.24/work/lilypond-2.7.24/input/test'
make[2]: *** [WWW] Error 2
rm out-www/sakura-sakura.ly out-www/typography-demo.ly out-www/les-nereides.ly out-www/wilhelmus.ly out-www/proportional.ly
make[2]: Leaving directory `/var/tmp/portage/lilypond-2.7.24/work/lilypond-2.7.24/input'
make[1]: *** [WWW] Error 2
make[1]: Leaving directory `/var/tmp/portage/lilypond-2.7.24/work/lilypond-2.7.24'
make: *** [web] Error 2

!!! ERROR: media-sound/lilypond-2.7.24 failed.
!!! Function src_compile, Line 66, Exitcode 2
!!! make web failed
!!! If you need support, post the topmost build error, NOT this status message.
Comment 36 Boris Dusek 2006-02-11 06:24:33 UTC
(In reply to comment #35)
> !!! make web failed

since make web is optional (only enabled with "doc" use flag) and comes after successful build of lilypond, disabling "doc" flag should be the solution for you, if you don't wont html documentation. Btw., I compile lilypond from CVS regularly (2.7.20-2.7.33) and never succeeded with "make web", stopping at the same point as you. Lilypond itself works fine, though.
Comment 37 Daniel J. 2006-02-16 12:58:25 UTC
Created attachment 79961 [details, diff]
Ebuild for > 2.7.31

Starting with about version 2.7.31, the previously posted ebuild will no longer install the documentation once it is built, because web.tar.gz is no longer created by the build process.  The attached patch corrects this.
Comment 38 Paulo da Silva 2006-02-17 20:15:19 UTC
Would someone please post the whole 2.7.31 ebuild?
I cannot successfully apply the patch.
Thanks
Comment 39 Paulo da Silva 2006-02-17 21:50:03 UTC
I got the patch successful applied.
I was applying it over the wrong file :-( ...
When trying to emerge 2.7.34 I got the following:

Reading checksum from `out/parmesan23.tfm'
/usr/bin/python ../buildscripts/mf-to-table.py --global-lisp=./out/parmesan26.otf-gtable --lisp=./out/parmesan26.lisp --outdir=./out --dep ./out/parmesan26.dep --enc ./out/parmesan26.enc --tex ./out/parmesan26.tex out/parmesan26.log
Reading checksum from `out/parmesan26.tfm'
cat out/feta11.lisp \
out/parmesan11.lisp \
out/feta-alphabet11.lisp > out/feta11.otf-table
cat out/feta13.lisp \
out/parmesan13.lisp \
out/feta-alphabet13.lisp > out/feta13.otf-table
cat out/feta14.lisp \
out/parmesan14.lisp \
out/feta-alphabet14.lisp > out/feta14.otf-table
cat out/feta16.lisp \
out/parmesan16.lisp \
out/feta-alphabet16.lisp > out/feta16.otf-table
cat out/feta18.lisp \
out/parmesan18.lisp \
out/feta-alphabet18.lisp > out/feta18.otf-table
cat out/feta20.lisp \
out/parmesan20.lisp \
out/feta-alphabet20.lisp > out/feta20.otf-table
cat out/feta23.lisp \
out/parmesan23.lisp \
out/feta-alphabet23.lisp > out/feta23.otf-table
cat out/feta26.lisp \
out/parmesan26.lisp \
out/feta-alphabet26.lisp > out/feta26.otf-table
cat out/feta-braces-a.lisp \
 \
 > out/feta-braces-a.otf-table
cat out/feta-braces-b.lisp \
 \
 > out/feta-braces-b.otf-table
cat out/feta-braces-c.lisp \
 \
 > out/feta-braces-c.otf-table
cat out/feta-braces-d.lisp \
 \
 > out/feta-braces-d.otf-table
cat out/feta-braces-e.lisp \
 \
 > out/feta-braces-e.otf-table
cat out/feta-braces-f.lisp \
 \
 > out/feta-braces-f.otf-table
cat out/feta-braces-g.lisp \
 \
 > out/feta-braces-g.otf-table
cat out/feta-braces-h.lisp \
 \
 > out/feta-braces-h.otf-table
cat out/feta-braces-i.lisp \
 \
 > out/feta-braces-i.otf-table
make[1]: *** No rule to make target `unknown/c059013l.pfb', needed by `out/CenturySchL-Ital.ttf'.  Stop.
make[1]: Leaving directory `/var/tmp/portage/lilypond-2.7.34/work/lilypond-2.7.34/mf'
make: *** [all] Error 2

!!! ERROR: media-sound/lilypond-2.7.34 failed.
!!! Function src_compile, Line 62, Exitcode 2
!!! emake failed
!!! If you need support, post the topmost build error, NOT this status message.

Any help?
Comment 40 Daniel J. 2006-02-21 14:06:15 UTC
Paulo, just a guess -- Lilypond looks for a Century Schoolbook or New Century Schoolbook font to use in the documentation. (I believe the configure script does a 'find' or 'locate' to find it.) On my box it builds nicely because the only Century Schoolbook-type font I have installed is the one that comes with Ghostscript. If you have a Century Schoolbook TTF font installed somewhere, try moving or removing it, then re-emerge Lilypond.

Also, as of this writing the most recent version is up to 2.7.25; you might try and see if the new version makes a difference.
Comment 41 Daniel J. 2006-02-21 14:07:41 UTC
That would be 2.7.35 as the latest version, sorry.
Comment 42 Paulo da Silva 2006-02-23 21:40:35 UTC
configure uses locate. I did not have slocate installed.
After installing slocate, the emerge failed at another point.
I rename the ebuild for rel. 2.7.35.
It also failed! Here are the last lines:

...
make[2]: Leaving directory `/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/stepmake/bin'
make[2]: Entering directory `/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/stepmake/stepmake'
/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/stepmake/stepmake/generic-targets.make:138: out/dummy.dep: No such file or directory
please ignore innocent warning about dummy.dep
mkdir -p ./out
touch ./out/dummy.dep
make[2]: Leaving directory `/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/stepmake/stepmake'
make[2]: Entering directory `/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/stepmake/stepmake'
true
make[2]: Leaving directory `/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/stepmake/stepmake'
make[1]: Leaving directory `/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/stepmake'
make[1]: Entering directory `/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/Documentation'
/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/stepmake/stepmake/generic-targets.make:138: out/dummy.dep: No such file or directory
please ignore innocent warning about dummy.dep
mkdir -p ./out
touch ./out/dummy.dep
make[1]: Leaving directory `/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/Documentation'
make[1]: Entering directory `/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/Documentation'
make PACKAGE=LILYPOND package=lilypond -C user all &&  make PACKAGE=LILYPOND package=lilypond -C bibliography all &&  make PACKAGE=LILYPOND package=lilypond -C pictures all &&  make PACKAGE=LILYPOND package=lilypond -C topdocs all &&  make PACKAGE=LILYPOND package=lilypond -C misc all && true
make[2]: Entering directory `/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/Documentation/user'
/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/stepmake/stepmake/generic-targets.make:138: out/dummy.dep: No such file or directory
please ignore innocent warning about dummy.dep
mkdir -p ./out
touch ./out/dummy.dep
make[2]: Leaving directory `/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/Documentation/user'
make[2]: Entering directory `/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/Documentation/user'
cd ./out && /var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/lily/out/lilypond --verbose /var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/ly/generate-documentation
GNU LilyPond 2.7.35

LILYPOND_DATADIR="/usr/share//lilypond/2.7.35"
LILYPONDPREFIX="/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current"
LOCALEDIR="/usr/share/locale"

Effective prefix: "/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current"
[/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/scm/lily.scm]
[/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/scm/lily-library.scm][/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/scm/file-cache.scm][/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/scm/define-music-types.scm][/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/scm/output-lib.scm][/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/scm/c++.scm][/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/scm/chord-ignatzek-names.scm][/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/scm/chord-entry.scm][/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/scm/chord-generic-names.scm][/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/scm/stencil.scm][/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/scm/markup.scm][/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/scm/music-functions.scm][/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/scm/part-combiner.scm][/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/scm/autochange.scm][/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/scm/define-music-properties.scm][/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/scm/auto-beam.scm][/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/scm/chord-name.scm][/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/scm/parser-ly-from-scheme.scm][/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/scm/define-context-properties.scm][/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/scm/translation-functions.scm][/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/scm/script.scm][/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/scm/midi.scm][/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/scm/layout-beam.scm][/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/scm/parser-clef.scm][/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/scm/layout-slur.scm][/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/scm/font.scm][/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/scm/encoding.scm][/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/scm/fret-diagrams.scm][/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/scm/define-markup-commands.scm][/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/scm/define-grob-properties.scm][/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/scm/define-grobs.scm][/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/scm/define-grob-interfaces.scm][/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/scm/define-stencil-commands.scm][/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/scm/layout-page-layout.scm][/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/scm/titling.scm][/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/scm/paper.scm][/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/scm/backend-library.scm][/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/scm/x11-color.scm][/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/scm/safe-lily.scm]
Initializing FontConfig...
adding font directory: /var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/fonts/otf/
adding font directory: /var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/fonts/type1/Building font database.
Processing `/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/ly/generate-documentation.ly'
Parsing...[/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/ly/init.ly[/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/ly/declarations-init.ly[/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/ly/music-functions-init.ly][/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/ly/nederlands.ly][/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/ly/drumpitch-init.ly][/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/ly/chord-modifiers-init.ly][/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/ly/script-init.ly][/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/ly/scale-definitions-init.ly][/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/ly/grace-init.ly][/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/ly/midi-init.ly[/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/ly/performer-init.ly]][/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/ly/paper-defaults.ly[/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/ly/titling-init.ly]][/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/ly/engraver-init.ly][/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/ly/dynamic-scripts-init.ly][/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/ly/spanners-init.ly][/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/ly/property-init.ly]][/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/ly/generate-documentation.ly[/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/scm/documentation-lib.scm][/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/scm/document-functions.scm][/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/scm/document-translation.scm][/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/scm/document-music.scm][/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/scm/document-backend.scm][/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/out/share/lilypond/current/scm/document-markup.scm]
Writing "lilypond-internals.texi"...
error: can't find description for property lengthminimum-distance (backend)
make[2]: *** [out/lilypond-internals.texi] Error 1
make[2]: Leaving directory `/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/Documentation/user'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/var/tmp/portage/lilypond-2.7.35/work/lilypond-2.7.35/Documentation'
make: *** [all] Error 2

!!! ERROR: media-sound/lilypond-2.7.35 failed.
!!! Function src_compile, Line 62, Exitcode 2
!!! emake failed
!!! If you need support, post the topmost build error, NOT this status message.
Comment 43 Daniel J. 2006-03-02 17:07:43 UTC
Created attachment 81156 [details, diff]
patch to allow building of Mutopia examples in the docs

In version 2.7.36, building of docs fails when building Mutopia example files because of path weirdness, which the attached patch corrects.
Comment 44 Daniel J. 2006-03-02 17:10:40 UTC
Created attachment 81158 [details]
Full ebuild for version 2.7.36

This is a full ebuild for Lilypond 2.7.36, with a dependency added for sys-apps/slocate, and incorporating the Mutopia patch.

Lilypond 2.7.35 had issues which prevented it from building on Gentoo systems.
Comment 45 Daniel J. 2006-03-02 17:23:32 UTC
Comment on attachment 81158 [details]
Full ebuild for version 2.7.36

# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit eutils alternatives

IUSE="doc"

MY_PVv="v$(echo ${PV} | cut -d. -f1,2)"
MY_PV="$(echo ${PV} | cut -d. -f1,2)"

DESCRIPTION="GNU Music Typesetter"
SRC_URI="http://www.lilypond.org/ftp/${MY_PVv}/${P}.tar.gz"
HOMEPAGE="http://lilypond.org/"

SLOT="0"
LICENSE="GPL-2"
KEYWORDS="~x86 ~amd64"

RDEPEND=">=dev-util/guile-1.6.5
	virtual/ghostscript
	virtual/tetex
	>=dev-lang/python-2.2.3-r1
	>=media-libs/freetype-2
	>=media-libs/fontconfig-2.2
	>=x11-libs/pango-1.6"

DEPEND="${RDEPEND}
	sys-apps/slocate
	>=app-text/t1utils-1.32
	>=dev-lang/perl-5.8.0-r12
	>=sys-apps/texinfo-4.8
	>=sys-devel/flex-2.5.4a-r5
	>=sys-devel/gcc-3.3
	>=sys-devel/make-3.80
	>=app-text/mftrace-1.1.17
	>=media-gfx/fontforge-20050624
	sys-devel/bison !=sys-devel/bison-1.75
	doc? ( media-gfx/imagemagick
		>=media-libs/netpbm-9.12-r4 )"

src_unpack() {
	unpack ${A} || die "unpack failed"
	epatch ${FILESDIR}/lilypond-${PV}-mutopia.patch
}

src_compile() {
	# Remove ccache from the PATH since it can break compilation of
	# this package.  See bug 21305
	PATH="$(echo ":${PATH}:" | sed 's/:[^:]*ccache[^:]*:/:/;s/^://;s/:$//;')"

	# Fontforge requires write access to the following temp directory
	addwrite /root/.PfaEdit

	addwrite /dev/stderr
	addwrite /var/cache/fonts
	addwrite /usr/share/texmf/fonts
	addwrite /usr/share/texmf/ls-R

	econf --infodir="/usr/share/info" --datadir="/usr/share" || die "econf failed"
	emake || die "emake failed"

	if use doc; then
		make web || die "make web failed"
	fi
}

src_install () {
	einstall \
		lilypond_datadir=${D}/usr/share/${PN}/${PV} \
		local_lilypond_datadir=${D}/usr/share/${PN}/${PV} \
		|| die "einstall failed"

	dodoc AUTHORS.txt COPYING ChangeLog DEDICATION INSTALL.txt \
		NEWS.txt README.txt ROADMAP THANKS VERSION \
		|| die "dodoc failed"

	insinto /usr/share/${PN}/buildscripts
	einfo "Installing build scripts to"
	einfo "/usr/share/${PN}/buildscripts"
	doins buildscripts/out/lilypond-words \
			buildscirpts/out/make-font-dir \
		|| die "doins failed"

	# emacs support, should this be done differently?
	insinto /usr/share/${PN}/elisp
	doins elisp/*.el \
		|| die "doins failed"
	insinto /usr/share/${PN}/elisp/out
	doins elisp/out/lilypond-words.el \
		|| die "doins failed"

	if use doc; then
		install -d ${D}/usr/share/doc/${PN} -m 755
		cp -dr ${S}/out-www/web-root/Documentation ${D}/usr/share/doc/${PN}/
	fi
}
Comment 46 Daniel J. 2006-03-02 17:24:19 UTC
Created attachment 81162 [details]
Full ebuild for version 2.7.36

Arrgh, uploaded wrong file.
Comment 47 Daniel J. 2006-03-03 10:52:04 UTC
The above ebuild also has misspelled buildscripts as 'buildscirpts' in one place, sorry.
Comment 48 Jakub Moc (RETIRED) gentoo-dev 2006-03-04 00:57:24 UTC
*** Bug 124898 has been marked as a duplicate of this bug. ***
Comment 49 niels hamaker 2006-03-06 06:14:53 UTC
Renameing this bug to 2.7 seems a good idea, but this made me wander whether there was an ebuild for 2.6.x in portage. Which isn't. So shouldn't there either be a update-bug for 2.6 ebuilds, or should one of these 2.7 ebuilds be put into portage as a 2.6 (maybe even with a 2.7 ebuild hard masked)?
Comment 50 Paulo da Silva 2006-03-08 18:41:23 UTC
Problems with last ebuild:
1. I think slocate must be on DEPEND. configure seems to use
   locate. (Not sure ...)
2. updatedb should also be run, in particular when slocate is
   installed as consequence of installing lilypond.
3. Still getting errors!

...
31 lily-1426090244 lily-894303458 lily-1612290458 lily-440954235'GNU LilyPond 2.7.36
Processing `/var/tmp/portage/lilypond-2.7.36/work/lilypond-2.7.36/input/test/out-www/snippet-map.ly'
Parsing...
Processing `/var/tmp/portage/lilypond-2.7.36/work/lilypond-2.7.36/input/test/out-www/lily-1952518247.ly'
Parsing...
Renaming input to: `+.ly'
Interpreting music... [2]
Preprocessing graphical objects...
Calculating line breaks... [2]
Writing header field `texidoc' to `lily-1952518247.texidoc'...
Writing header field `texidoc' to `lily-1952518247.texidoc'...
Writing lily-1952518247-systems.tex...
Writing lily-1952518247-systems.texi...
Layout output to `lily-1952518247-1.eps'...
Layout output to `lily-1952518247.eps'...
Converting to PNG.../var/tmp/portage/lilypond-2.7.36/work/lilypond-2.7.36/out/share/lilypond/current/scm/ps-to-png.scm:108:3: In procedure rename-file in expression (rename-file file old):
/var/tmp/portage/lilypond-2.7.36/work/lilypond-2.7.36/out/share/lilypond/current/scm/ps-to-png.scm:108:3: No such file or directory
lilypond-book.py: warning: `lilypond' failed (status 2) (ignored)

lilypond-book.py: error: Process /var/tmp/portage/lilypond-2.7.36/work/lilypond-2.7.36/lily/out/lilypond --backend=eps --formats=ps,png --header=texidoc -I /var/tmp/portage/lilypond-2.7.36/work/lilypond-2.7.36/input/test -dinternal-type-checking -danti-alias-factor=2 -dgs-font-load -I  '/var/tmp/portage/lilypond-2.7.36/work/lilypond-2.7.36/input/test'  -I  '/var/tmp/portage/lilypond-2.7.36/work/lilypond-2.7.36/input/test'  -I  '/var/tmp/portage/lilypond-2.7.36/work/lilypond-2.7.36/input/test/out-www'  -I  '/var/tmp/portage/lilypond-2.7.36/work/lilypond-2.7.36/input'  -I  '/var/tmp/portage/lilypond-2.7.36/work/lilypond-2.7.36/input/regression'  -I  '/var/tmp/portage/lilypond-2.7.36/work/lilypond-2.7.36/input/test'  -I  '/var/tmp/portage/lilypond-2.7.36/work/lilypond-2.7.36/input/tutorial'  -I  '/var/tmp/portage/lilypond-2.7.36/work/lilypond-2.7.36/mf/out'  -I  '/var/tmp/portage/lilypond-2.7.36/work/lilypond-2.7.36/mf/out' snippet-map.ly lily-1952518247 lily-1380107987 lily-2084949258 lily-988330577 lily-2046121730 lily-942131144 lily-490902311 lily-1407885664 lily-1724011041 lily-1477419354 lily-1705597660 lily-863650304 lily-511639883 lily-111907387 lily-715973869 lily-403623709 lily-149397227 lily-174625691 lily-1598936706 lily-1795782356 lily-25238734 lily-496863379 lily-793995152 lily-751522059 lily-1602678051 lily-594089110 lily-1553195187 lily-351730196 lily-2117086543 lily-1502664029 lily-561571280 lily-1245444827 lily-836880837 lily-1759775128 lily-1210852116 lily-829821858 lily-215746138 lily-1530163593 lily-46241990 lily-568466018 lily-1668083907 lily-1878174910 lily-1716650026 lily-2113638356 lily-1045877295 lily-1979751992 lily-1413040190 lily-1294333508 lily-1548551706 lily-11877396 lily-1727866437 lily-912851348 lily-1460300180 lily-1833259897 lily-1118703529 lily-2024705129 lily-341259752 lily-1650862439 lily-1565652214 lily-369776133 lily-518467698 lily-1657616009 lily-1803136004 lily-814031780 lily-719367865 lily-142141397 lily-260249531 lily-1426090244 lily-894303458 lily-1612290458 lily-440954235 exited unsuccessfully.
Removing `collated-files.texi'
Traceback (most recent call last):
  File "../../scripts/lilypond-book.py", line 1691, in ?
    main ()
  File "../../scripts/lilypond-book.py", line 1674, in main
    ly.exit (1)
  File "/var/tmp/portage/lilypond-2.7.36/work/lilypond-2.7.36/out/share/lilypond/current/python/lilylib.py", line 86, in exit
    raise _ ('Exiting (%d)...') % i
Exiting (1)...
make[3]: *** [out-www/collated-files.texi] Error 1
make[3]: Leaving directory `/var/tmp/portage/lilypond-2.7.36/work/lilypond-2.7.36/input/test'
make[2]: *** [WWW] Error 2
rm out-www/typography-demo.ly out-www/les-nereides.ly out-www/bach-schenker.ly out-www/wilhelmus.ly out-www/proportional.ly
make[2]: Leaving directory `/var/tmp/portage/lilypond-2.7.36/work/lilypond-2.7.36/input'
make[1]: *** [WWW] Error 2
make[1]: Leaving directory `/var/tmp/portage/lilypond-2.7.36/work/lilypond-2.7.36'
make: *** [web] Error 2

!!! ERROR: media-sound/lilypond-2.7.36 failed.
!!! Function src_compile, Line 64, Exitcode 2
!!! make web failed
!!! If you need support, post the topmost build error, NOT this status message.

Thank you.
Comment 51 Sebastian T. Hafner 2006-03-10 13:37:12 UTC
Created attachment 81868 [details]
complete ebuild for 2.7.36 (typo-fixed)

There was a typo in the last ebuild - fixed
Comment 52 Geoff 2006-03-10 14:59:07 UTC
(In reply to comment #49)
> Renameing this bug to 2.7 seems a good idea, but this made me wander whether
> there was an ebuild for 2.6.x in portage. Which isn't. So shouldn't there
> either be a update-bug for 2.6 ebuilds, or should one of these 2.7 ebuilds be
> put into portage as a 2.6 (maybe even with a 2.7 ebuild hard masked)?
> 

Well, it looks like 2.8 is going to be out very soon (hooray for the lilypond developers!), so I would advise waiting until it's out, and then using that.  I'm not opposed to having a 2.6 build in portage, but I think that maybe using the same slot for 2.8 as we have been for 2.7 would be good (since 2.7 is, after all, the development branch, and 2.8 will be the stable branch).

Does anyone know if there's a way to either package up the font bitmaps or somehow keep them from being retraced _every_single_time_?

On another note, the most recent ebuild (2.7.36) with the mutopia patch works for me. :-)

Geoff
Comment 53 Paulo da Silva 2006-03-11 21:15:19 UTC
(In reply to comment #51)
> Created an attachment (id=81868) [edit]
> complete ebuild for 2.7.36 (typo-fixed)
> 
> There was a typo in the last ebuild - fixed
> 

Still not getting it to work :-(

...
31 lily-1426090244 lily-894303458 lily-1612290458 lily-440954235'GNU LilyPond 2.7.36
Processing `/var/tmp/portage/lilypond-2.7.36/work/lilypond-2.7.36/input/test/out-www/snippet-map.ly'
Parsing...
Processing `/var/tmp/portage/lilypond-2.7.36/work/lilypond-2.7.36/input/test/out-www/lily-1952518247.ly'
Parsing...
Renaming input to: `+.ly'
Interpreting music... [2]
Preprocessing graphical objects...
Calculating line breaks... [2]
Writing header field `texidoc' to `lily-1952518247.texidoc'...
Writing header field `texidoc' to `lily-1952518247.texidoc'...
Writing lily-1952518247-systems.tex...
Writing lily-1952518247-systems.texi...
Layout output to `lily-1952518247-1.eps'...
Layout output to `lily-1952518247.eps'...
Converting to PNG.../var/tmp/portage/lilypond-2.7.36/work/lilypond-2.7.36/out/share/lilypond/current/scm/ps-to-png.scm:108:3: In procedure rename-file in expression (rename-file file old):
/var/tmp/portage/lilypond-2.7.36/work/lilypond-2.7.36/out/share/lilypond/current/scm/ps-to-png.scm:108:3: No such file or directory
lilypond-book.py: warning: `lilypond' failed (status 2) (ignored)

lilypond-book.py: error: Process /var/tmp/portage/lilypond-2.7.36/work/lilypond-2.7.36/lily/out/lilypond --backend=eps --formats=ps,png --header=texidoc -I /var/tmp/portage/lilypond-2.7.36/work/lilypond-2.7.36/input/test -dinternal-type-checking -danti-alias-factor=2 -dgs-font-load -I  '/var/tmp/portage/lilypond-2.7.36/work/lilypond-2.7.36/input/test'  -I  '/var/tmp/portage/lilypond-2.7.36/work/lilypond-2.7.36/input/test'  -I  '/var/tmp/portage/lilypond-2.7.36/work/lilypond-2.7.36/input/test/out-www'  -I  '/var/tmp/portage/lilypond-2.7.36/work/lilypond-2.7.36/input'  -I  '/var/tmp/portage/lilypond-2.7.36/work/lilypond-2.7.36/input/regression'  -I  '/var/tmp/portage/lilypond-2.7.36/work/lilypond-2.7.36/input/test'  -I  '/var/tmp/portage/lilypond-2.7.36/work/lilypond-2.7.36/input/tutorial'  -I  '/var/tmp/portage/lilypond-2.7.36/work/lilypond-2.7.36/mf/out'  -I  '/var/tmp/portage/lilypond-2.7.36/work/lilypond-2.7.36/mf/out' snippet-map.ly lily-1952518247 lily-1380107987 lily-2084949258 lily-988330577 lily-2046121730 lily-942131144 lily-490902311 lily-1407885664 lily-1724011041 lily-1477419354 lily-1705597660 lily-863650304 lily-511639883 lily-111907387 lily-715973869 lily-403623709 lily-149397227 lily-174625691 lily-1598936706 lily-1795782356 lily-25238734 lily-496863379 lily-793995152 lily-751522059 lily-1602678051 lily-594089110 lily-1553195187 lily-351730196 lily-2117086543 lily-1502664029 lily-561571280 lily-1245444827 lily-836880837 lily-1759775128 lily-1210852116 lily-829821858 lily-215746138 lily-1530163593 lily-46241990 lily-568466018 lily-1668083907 lily-1878174910 lily-1716650026 lily-2113638356 lily-1045877295 lily-1979751992 lily-1413040190 lily-1294333508 lily-1548551706 lily-11877396 lily-1727866437 lily-912851348 lily-1460300180 lily-1833259897 lily-1118703529 lily-2024705129 lily-341259752 lily-1650862439 lily-1565652214 lily-369776133 lily-518467698 lily-1657616009 lily-1803136004 lily-814031780 lily-719367865 lily-142141397 lily-260249531 lily-1426090244 lily-894303458 lily-1612290458 lily-440954235 exited unsuccessfully.
Removing `collated-files.texi'
Traceback (most recent call last):
  File "../../scripts/lilypond-book.py", line 1691, in ?
    main ()
  File "../../scripts/lilypond-book.py", line 1674, in main
    ly.exit (1)
  File "/var/tmp/portage/lilypond-2.7.36/work/lilypond-2.7.36/out/share/lilypond/current/python/lilylib.py", line 86, in exit
    raise _ ('Exiting (%d)...') % i
Exiting (1)...
make[3]: *** [out-www/collated-files.texi] Error 1
make[3]: Leaving directory `/var/tmp/portage/lilypond-2.7.36/work/lilypond-2.7.36/input/test'
make[2]: *** [WWW] Error 2
rm out-www/typography-demo.ly out-www/les-nereides.ly out-www/bach-schenker.ly out-www/wilhelmus.ly out-www/proportional.ly
make[2]: Leaving directory `/var/tmp/portage/lilypond-2.7.36/work/lilypond-2.7.36/input'
make[1]: *** [WWW] Error 2
make[1]: Leaving directory `/var/tmp/portage/lilypond-2.7.36/work/lilypond-2.7.36'
make: *** [web] Error 2

!!! ERROR: media-sound/lilypond-2.7.36 failed.
!!! Function src_compile, Line 64, Exitcode 2
!!! make web failed
!!! If you need support, post the topmost build error, NOT this status message.
Comment 54 Ramana Kumar 2006-03-19 16:52:29 UTC
renaming my overlay to lilypond-2.7.39 and re emerging worked fine here. looking forward to 2.8 both being released and being put into the portage tree =)
Comment 55 Daniel J. 2006-03-21 11:31:59 UTC
Created attachment 82801 [details, diff]
Patch against the 2.7.36 ebuild to eliminate dependency on slocate

There is an undocumented argument to configure which allows specifying the location of the New Century Schoolbook font, which means we no longer have to require slocate or have an up-to-date locate database. This patch modifies the 2.7.36 ebuild posted here to take advantage of this.  Since all versions of Ghostscript require media-fonts/gnu-gs-fonts-std, we already know that the font is installed and where it is located.

The mutopia patch is not needed for versions greater than 2.7.36.

On another note entirely, the docs will not build on version 2.7.40 due to a serious bug. Apparently larger lilypond files are also affected.  The last version I was able to compile cleanly with documentation was 2.7.38.
Comment 56 Thomas Holder 2006-03-22 04:14:59 UTC
Nice to see that there is so much attention for lilypond! I also have made my own ebuild, which is a bit slimmer than the ones posted here (I think you have redundant stuff in there). I'm not sure how you managed to build the html-documentation, but it never worked for me! The INSTALL.txt tells me that a patched version of ghostscript-8.50 is needed to build the doc, which I do not have installed. But as you can download the whole documentation as a tarball from lilypond.org, I included that in my ebuild:

http://www.thomas-holder.de/portage/media-sound/lilypond/
Comment 57 Geoff 2006-03-24 16:27:08 UTC
Created attachment 83054 [details]
Ebuild for lilypond 2.8.0

Ebuild for Lilypond 2.8.0 + slot info.  Works fine here. :-)
Comment 58 Aron Griffis (RETIRED) gentoo-dev 2006-03-24 18:46:11 UTC
Okay, I'll take another run at maintaining this package.  It should be easy with such an active user community...

Comments on this ebuild:
- inherits alternatives but doesn't seem to use it
- inherits eutils but doesn't seem to use it
- sets SLOT=3 but installs files to non-versioned locations (and where are the other slotted ebuilds?)
- is the ccache PATH removal thing really needed now?  seems like that's probably just cruft
- econf --infodir="/usr/share/info" --datadir="/usr/share" is redundant to the default econf options
- should use versionator instead of cut for version parsing.. see http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-sound/lilypond/lilypond-2.5.2.ebuild?r1=1.4&r2=1.5
- what happened to installing clean-fonts and calling it from postinst/prerm?  Is it no longer needed?

Some fixes and/or answers and I'll be happy to put this in.  I apologize for not maintaining this package over the past year.
Comment 59 Nicholas Haggin 2006-03-24 19:00:04 UTC
(In reply to comment #58)
> - sets SLOT=3 but installs files to non-versioned locations (and where are the
> other slotted ebuilds?)

AFAIK, Lilypond has not previously had slotted ebuilds.

> - is the ccache PATH removal thing really needed now?  seems like that's
> probably just cruft

I hacked up my own ebuild that took this bit out, and it installs fine both on my Thinkpad T43 and my Athlon 64 desktop box. (I think I have ccache turned on, but I'll take a second look when I get home from work tonight.)

> - what happened to installing clean-fonts and calling it from postinst/prerm? 
> Is it no longer needed?

No longer needed; the script does not exist in the 2.8.0 distribution.
Comment 60 Aron Griffis (RETIRED) gentoo-dev 2006-03-24 21:45:01 UTC
(In reply to comment #59)
> (In reply to comment #58)
> > - sets SLOT=3 but installs files to non-versioned locations (and where are the
> > other slotted ebuilds?)
> 
> AFAIK, Lilypond has not previously had slotted ebuilds.

Understood.  I'm wondering who has the companions to this one, since SLOT=3 indicates there should be others.  Although since this one is clearly not written in such a way that it can be slotted, it might be better to simply get the latest version into portage and revert to SLOT=0

> > - is the ccache PATH removal thing really needed now?  seems like that's
> > probably just cruft
> 
> I hacked up my own ebuild that took this bit out, and it installs fine both on
> my Thinkpad T43 and my Athlon 64 desktop box. (I think I have ccache turned on,
> but I'll take a second look when I get home from work tonight.)

Great, thanks

> > - what happened to installing clean-fonts and calling it from postinst/prerm? 
> > Is it no longer needed?
> 
> No longer needed; the script does not exist in the 2.8.0 distribution.

Good
Comment 61 Thomas Holder 2006-03-25 00:50:32 UTC
(In reply to comment #58)
> Some fixes and/or answers and I'll be happy to put this in.

* ebuild(5) says that 'make install DESTDIR=${D}' is preferred over
  'einstall vars...'
* I guess that these two:
  - addwrite /root/.PfaEdit
  - addwrite /dev/stderr
  are not needed. Homedir is /var/tmp/portage/homedir/ and not /root/, and
  portage is allowed to write there without an addwrite statement.
* emacs files are installed automatically, but not vim files. See my ebuild for
  how I moved vim files around:
  http://www.thomas-holder.de/portage/media-sound/lilypond/lilypond-2.8.0.ebuild
* lilypond website refers to http://lilypond.org/download/... instead of
  http://www.lilypond.org/ftp/... (works both)
Comment 62 Aron Griffis (RETIRED) gentoo-dev 2006-03-25 20:45:27 UTC
Ok, 2.8.0 is in the tree, thanks to everybody's patience and persistence.

Notes:

- it is not slotted because I don't think the ebuild was fully written to
  support slotting.  Let's handle this in a separate enhancement bug if you guys
  want slotted lilyponds (I don't actually see the point)

- I munged together Thomas' and Nicholas' suggestions plus Geoff's ebuild plus
  some of my suggestions.  If you find anything wrong, please open a new bug

- Enjoy!
Comment 63 Thomas Holder 2006-03-26 09:30:44 UTC
(In reply to comment #61)
> * I guess that these ...
>   - addwrite /root/.PfaEdit
>   ... not needed. Homedir is /var/tmp/portage/homedir/ and not /root/

I was wrong with this, sorry! I just tried to reemerge lilypond-2.8.0 from portage tree and got access violation error (I never got it before with my self made ebuild???):

------------------------- ACCESS VIOLATION SUMMARY -------------------------
LOG FILE = "/var/log/sandbox/sandbox-media-sound_-_lilypond-2.8.0-18165.log"

unlink:    /usr/share/lilypond/2.8.0/python/lilylib.pyc
open_wr:   /usr/share/lilypond/2.8.0/python/lilylib.pyc
mkdir:     /root/.PfaEdit
----------------------------------------------------------------------------

after unemerging lilypond (and so removing the file /usr/share/lilypond/2.8.0/python/lilylib.pyc) and adding "addwrite /root/.PfaEdit" to the ebuild, it worked again.
Comment 64 Geoff 2006-03-26 13:36:40 UTC
(In reply to comment #62)
> Ok, 2.8.0 is in the tree, thanks to everybody's patience and persistence.

w00t!  Thank you!

> 
> Notes:
> 
> - it is not slotted because I don't think the ebuild was fully written to
>   support slotting.  Let's handle this in a separate enhancement bug if you
> guys
>   want slotted lilyponds (I don't actually see the point)
> 

It mostly has to do with convert-ly not working very well (in my experience).  The thought was that with slotted ebuilds, we could have more than one version installed to handle those times when you have extremely old (ie, version 1-era) ebuilds... though admittedly my slotting scheme wasn't quite right for that.

Aron (or anyone else): is there a good guide somewhere to using and making slotted ebuilds?  I've tried to find one in the past, but nothing I found was very helpful, at least, not to me.

Ah, well.  Thanks again, Aron!
Comment 65 Thomas Holder 2006-03-27 02:05:48 UTC
(In reply to comment #63)

I filed a new bug for the /root/.PfaEdit access violation: bug 127723
It is actually a fontforge issue.
Comment 66 Aron Griffis (RETIRED) gentoo-dev 2006-03-27 09:32:57 UTC
(In reply to comment #63)
> after unemerging lilypond (and so removing the file
> /usr/share/lilypond/2.8.0/python/lilylib.pyc) and adding "addwrite
> /root/.PfaEdit" to the ebuild, it worked again.

Ok, the lilylib.pyc issue is in the lilypond sources.  I've put in a fix for that, see lilypond-2.8.0-r1.ebuild (bumped because of the emacs change which is run-time, not this issue which is compile-time)

Until bug 127723 is resolved, I've also put in the addwrite workaround.  Thanks for testing.

(In reply to comment #64)
> It mostly has to do with convert-ly not working very well (in my experience). 
> The thought was that with slotted ebuilds, we could have more than one version
> installed to handle those times when you have extremely old (ie, version 1-era)
> ebuilds... though admittedly my slotting scheme wasn't quite right for that.

Ok, makes sense

> Aron (or anyone else): is there a good guide somewhere to using and making
> slotted ebuilds?  I've tried to find one in the past, but nothing I found was
> very helpful, at least, not to me.

Probably the best resource is to read other ebuilds that inherit alternatives.  Also read alternatives.eclass.  This might get you started:

grep -rlZ 'inherit.*alternatives' --include \*.ebuild /usr/portage | \
   xargs -0n1 dirname | sort -u
Comment 67 niels hamaker 2006-04-21 05:16:46 UTC
I'm not sure if this should be posted here or where the problem lies: with lilypond or coreutils, but anyway: 
after upgrading to lilypond 2.8.1 with an renamed 2.8.0-r1 ebuild I started getting basename-errors when startign a login-shell. something like: 
basename: invalid option -- b
The problem was in /etc/profile.d/lilypond.sh, in the line

if [ -z "$ZSH_NAME" -a `basename "$0"` = "lilypond-profile" ] ; then

appending -- to basename solved the problem.
This sollution came from:
http://www.cygwin.com/ml/cygwin/2005-03/msg00446.html